/************************************************/

/*	BE Modelisation Geometrique	        */
/*		Loic Barthe			*/
/*	      IRIT - UPS - CNRS			*/

/************************************************/
/************************************************/
/************************************************/

/*	BE illustration des Blobs	        */

/************************************************/
/************************************************/

#ifndef __Intervalle__
#define __Intervalle__

/* Structure de stockage d'un intervalle et les types correspondants */
typedef struct sIntervalle {
	
	float inf;
	float sup;
} tIntervalle, *pIntervalle;

/* creation d'un intervalle a partir de la la borne sup et la borne inf 
	- si la borne sup est inferieur a la borne moins: les inverser pour
	conserver un intervalle coherant */
tIntervalle intervalle (float inf, float sup);

/* retourne la somme d'un intervalle et un flottant */
tIntervalle sumIF (tIntervalle i, float a);

/* retourne la somme de deux intervalles */
tIntervalle sumII (tIntervalle i1, tIntervalle i2);

/* retourne un intervalle eleve au carre */
tIntervalle carreI (tIntervalle i);

/* retourne un intervalle multiplie par un floattant */
tIntervalle multIF (tIntervalle i, float a);

/* affiche un intervalle a l'ecran sous la forme : "[inf,sup]" */
void printIntervalle (tIntervalle i);

/* vrai (1) si le floattant a est inclu dans l'intervalle i,
   faux (0) sinon */
int floatInIntervalle (tIntervalle i, float a);

#endif

